
Redmine - Defect #7568

Long combination of characters without spaces goes beyond the edge of the window

2011-02-07 16:01 - Иван Сентюров

Status: Reopened Start date: 2011-02-07

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 1.1.1

Description

Try to enter long combination of characters without spaces. For example:

123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345

678901234567890123456123456789012345678901234567890123456789012345678901234567890123456789012345678901234

567890123456789012345678901234567890123456

It should stay in text form, but after submittimg a report text goes beyond the edge of the window.

Please, see screenshots in attachment.

Related issues:

Has duplicate Redmine - Defect #7592: Problems with long phrases in the descr... Closed 2011-02-09

Has duplicate Redmine - Defect #8636: Redmine doesn't wrap long words when us... Closed 2011-06-17

Has duplicate Redmine - Defect #34219: The text inside the wiki section does ... Closed

History

#1 - 2011-02-07 16:11 - Etienne Massip

Use a pre tag and it will be scrollable ?

12345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890

12345678901234561234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234

56789012345678901234567890123456

#2 - 2011-02-07 16:29 - Иван Сентюров

- File Long_text___banner.jpg added

Sure, it is scrollable.

But when i insert long text in textform without this tag it divided into parts fit into textform. Text goes beyond the edge of the window only after submit.

It make me think that it is bug. Also, see please new screenshot in attachment. Part of text is hidden by banner.

#3 - 2011-02-07 17:12 - Etienne Massip

Textform is not a wysiwyg component, you should compare final result to preview, and this string renders the same in preview pane and final div.

#4 - 2011-02-11 11:17 - Иван Сентюров

Thanks a lot, next time i`ll use preview to make sure that my text is readable.

#5 - 2011-02-11 11:18 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Wont fix

#6 - 2011-02-12 09:16 - Jean-Baptiste Barth

- Status changed from Closed to Reopened

- Assignee set to Jean-Baptiste Barth

- Affected version (unused) set to 1.1.1

- Affected version set to 1.1.1
We might be able to fix this with a simple CSS rule. Is there any caveat I missed Etienne ?

#7 - 2011-02-12 12:58 - Etienne Massip

Nope, as I said in #7592, does fixing this really make sense ?

I fear that, trying to find a "fix" that is not really useful, we break something in the page layout in some cases (e.g. the issue div could take the sidebar

out of the screen).

BTW, good to see you back =)

#8 - 2011-02-12 15:09 - Jean-Baptiste Barth

Ok, got it. We can be careful about the selector: maybe a div.wiki > p { word-wrap:break-word; } is not too risky and would be good enough in most

cases.

#9 - 2011-02-12 17:04 - Etienne Massip

Actually, both the issues were related to formatting text in issue description, not in wiki.

It may be useful to add this thing in wiki (at least more than in issue description), I don't know if this behavior is also present in wiki ?

#10 - 2011-02-13 02:21 - Jean-Baptiste Barth

Etienne Massip wrote:

Actually, both the issues were related to formatting text in issue description, not in wiki.

 Yes actually, div's containing textilized text in issue page have the "wiki" class, I know it's a bit confusing ;)

#11 - 2011-06-17 12:26 - Alexey Fyodorov

Etienne Massip wrote:

Actually, both the issues were related to formatting text in issue description, not in wiki.

It may be useful to add this thing in wiki (at least more than in issue description), I don't know if this behavior is also present in wiki ?

 Yes, this behavior is also presents in wiki.

a "fix" that is not really useful

 we break something in the page layout in some cases

 I want to fix it in my local redmine installation at least. And I want to do it as accurately as it possible. Could you cite an instance of such breaking,

please?

#12 - 2012-06-10 22:42 - Jean-Baptiste Barth

- Assignee deleted (Jean-Baptiste Barth)

#13 - 2020-12-08 06:19 - Go MAEDA

- Has duplicate Defect #34219: The text inside the wiki section does not wrap - css added

Files

Long_text.jpg 320 KB 2011-02-07 Иван Сентюров

Long_text_before_submitting.jpg 221 KB 2011-02-07 Иван Сентюров

Long_text___banner.jpg 233 KB 2011-02-07 Иван Сентюров
